html {
  font-family: $font-copy;
  font-size: $leading;
  font-size: $font-size;
  font-size: #{$base + 'px'};
  font-size: #{$base-font-size + '%'};

  text-rendering: optimizeLegibility;

  color: color(copy);

  line-height: $line-height-desktop;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: $heading-font-family;
  line-height: $line-height-heading;
  margin: 0;
}

p {
  margin: 0 0 $small-spacing;
}

a {
  color: color(action);
  text-decoration: none;
  transition: color $base-duration $base-timing;

  &:active,
  &:focus,
  &:hover {
    color: shade(color(action), 25%);
  }
}

hr {
  border-bottom: 1px solid $color-base-border;
  border-left: 0;
  border-right: 0;
  border-top: 0;
  margin: $base-spacing 0;
}

pre {
  white-space: pre-wrap;
}
